- Qt 5.15
- Qt 3D
- C++ Classes
- QInputDeviceIntegration
- Qt 5.15.18 Reference Documentation

# QInputDeviceIntegration Class

class Qt3DInput::QInputDeviceIntegration

Abstract base class used to define new input methods such as game controllers. More...

Header: | #include <QInputDeviceIntegration>
qmake: | QT += 3dinput
Since: | Qt 5.5
Inherits: | QObject

This class was introduced in Qt 5.5.

- List of all members, including inherited members

## Public Functions

virtual QAbstractPhysicalDevice * | createPhysicalDevice(const QString &name) = 0
void | initialize(Qt3DInput::QInputAspect *aspect)
virtual QAbstractPhysicalDeviceBackendNode * | physicalDevice(Qt3DCore::QNodeId id) const = 0
virtual QVector<Qt3DCore::QNodeId> | physicalDevices() const = 0

## Protected Functions

| QInputDeviceIntegration(QObject *parent = nullptr)
QInputAspect * | inputAspect() const
void | registerBackendType(const QMetaObject &metaObject, const Qt3DCore::QBackendNodeMapperPtr &functor)

## Detailed Description

## Member Function Documentation

### `[protected]` QInputDeviceIntegration::QInputDeviceIntegration(QObject *parent = nullptr)

Creates a new QInputDeviceIntegration with parent.

### `[pure virtual]` QAbstractPhysicalDevice *QInputDeviceIntegration::createPhysicalDevice(const QString &name)

Create the Physical device identified by name.

If not recognized return nullptr

### void QInputDeviceIntegration::initialize(Qt3DInput::QInputAspect *aspect)

Called by the InputAspect object after the integration has been created with aspect.

### `[protected]` QInputAspect *QInputDeviceIntegration::inputAspect() const

QInputDeviceIntegration::inputAspect Returns the Input Aspect associated with the InputDeviceIntegration

### `[pure virtual]` QAbstractPhysicalDeviceBackendNode *QInputDeviceIntegration::physicalDevice(Qt3DCore::QNodeId id) const

Returns the QAbstractPhysicalDevice identified by the given id if it is related to this QInputDeviceIntegration.

### `[pure virtual]` QVector<Qt3DCore::QNodeId> QInputDeviceIntegration::physicalDevices() const

Returns the list of node ids for physical devices associated with this QInputDeviceIntegration.

### `[protected]` void QInputDeviceIntegration::registerBackendType(const QMetaObject &metaObject, const Qt3DCore::QBackendNodeMapperPtr &functor)

Registers a corresponding backend class for this front end implementation with metaObject and functor.